<?php
session_start();
class vranula
{
	var $error;
	function vranula($ruta,$docu,$id,$stox)
	{
		require($ruta);

		$sql_doc='select *from docu0 where docu_codigo="'.$docu.'"';
		$res_doc=mysql_query($sql_doc,$link_vcrx);
		$descri=mysql_result($res_doc,0,'docu_descri');
		$tabla=strtolower(mysql_result($res_doc,0,'docu_tabla'));

		$sql_tabla='select *from '.$tabla.'1 where idnum1="'.$id.'"';
		$res_tabla=mysql_query($sql_tabla,$link_vcrx);
		$numero=mysql_result($res_tabla,0,'numero');
		$claveacc=@mysql_result($res_tabla,0,'claveacc');

		$fecha=mysql_result($res_tabla,0,'fecha');
		$status=mysql_result($res_tabla,0,'status');
		

		if($stox=='X')
		{
// 			if(mb_stristr('RX',$status) and $claveacc=="")
			if(mb_stristr('RX',$status) and $claveacc!="")
			{$error='Documento No Puede ser Eliminado';}
			else
			{
				$xaccesoX=0;
				$sql_acce='select * from usrdoc1 where docu ="'.$docu.'" and elim="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
				$res_acce=mysql_query($sql_acce,$link_vcrx);
				if (mysql_num_rows($res_acce)!=0){$xaccesoX=1;}
				if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xaccesoX=1;}

				if ($xaccesoX==0)
				{$error='NO Tiene Permiso para ELIMINAR :'.$docu;}
				else
				{
					$sql_sta='update '.$tabla.'1 set status="'.$stox.'", xuser="'.$_SESSION['user_vcrx_id'].'", xdate=now() where idnum1="'.$id.'"';
					$res_sta=mysql_query($sql_sta);
					if ($res_sta){$error='Documento ELIMINADO';}
					if($tabla!='cont')
					{	
					$sql_sta='update cont1 set status="'.$stox.'", xuser="'.$_SESSION['user_vcrx_id'].'", xdate=now() where idfrom="'.$id.'" and mdfrom="'.strtoupper($tabla).'"';
					$res_sta=mysql_query($sql_sta);
					if ($res_sta){$error.=' - X - ';}
					}
				}
			}
		}
		else
		{
			if(mb_stristr('CFROX',$status))
			{$error='Documento No Puede ser Anulado';}
			else
			{
				$xaccesoO=0;
				$sql_acce='select * from usrdoc1 where docu ="'.$docu.'" and anul="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
				$res_acce=mysql_query($sql_acce,$link_vcrx);
				if (mysql_num_rows($res_acce)!=0){$xaccesoO=1;}
				if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xaccesoO=1;}
				if (mb_stristr('clie',$_SESSION['user_vcrx_tipo']) and substr($docu,0,2)=="OP"){$xaccesoO=1;}
				if ($xaccesoO==0)
				{$error='NO Tiene Permiso para ANULAR :'.$docu;}
				else
				{
					$sql_sta='update '.$tabla.'1 set status="'.$stox.'", ouser="'.$_SESSION['user_vcrx_id'].'", odate=now() where idnum1="'.$id.'"';
					$res_sta=mysql_query($sql_sta);
					if ($res_sta){$error='Documento ANULADO';}
// 					echo '*/*/*'.$tabla;
					if($tabla!='cont')
					{	
						
					$sql_sta='update cont1 set status="'.$stox.'", ouser="'.$_SESSION['user_vcrx_id'].'", odate=now() where idfrom="'.$id.'" and mdfrom="'.strtoupper($tabla).'"';
					$res_sta=mysql_query($sql_sta);
// 						echo '-*-*-'.mysql_error().$res_sta;
					if ($res_sta){$error.=' - O -';}
					}
				}
			}
		}
		if ($error!=""){echo $error;}
	}
}
?>